/*
 * emdf_wstring.cpp
 *
 * Functions for wstring
 *
 * Ulrik Petersen
 * Created: 3/8-2002 (March 8, 2002)
 * Last update: 3/16-2004
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2002-2004   Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#include <emdros-lconfig.h>
#include <emdf_wstring.h>

#if HAVE_OSTREAM
#include <ostream>
#else
#include <ostream.h>
#endif


#if !HAVE_OSTREAM_OUT_WSTRING


// Output a wchar_t
void emdf_out_wchar_t(std::ostream& ostr, wchar_t wc)
{
  char c;
  // Out lower 8 bits
  c = wc & 0xFF;
  ostr << c;
  // Out higher 8 bits
  c = (wc >> 8) & 0xFF;
  ostr << c;
}

namespace std {

// Overload operator
std::ostream& operator<<(std::ostream& ostr, std::wstring& ws)
{
  std::wstring::const_iterator ci(ws.begin());
  std::wstring::const_iterator cend(ws.end());
  while (ci != cend) {
    emdf_out_wchar_t(ostr, *ci);
    ++ci;
  }
  return ostr;
}

} // namespace std

#endif // !HAVE_OSTREAM_OUT_WSTRING
