/*
 * mql_error.cpp
 *
 * Definitions and functions for MQL error handling
 *
 * Ulrik Petersen
 * Created: 3/1-2001 (1st of March, 2001)
 * Last update: 2/10-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/


#include <mql_error.h>

CMQLError::CMQLError()
{
}

CMQLError::~CMQLError()
{
}


void CMQLError::mql_clear_error(void)
{
  m_mql_error = "";
}

void CMQLError::mql_append_error(std::string error)
{
  m_mql_error += error;
}

void CMQLError::mql_prepend_error(std::string error)
{
  m_mql_error = error + m_mql_error;
}

void CMQLError::mql_set_error(std::string error)
{
  m_mql_error = error;
}

std::string CMQLError::mql_get_error(void)
{
  return m_mql_error;
}



