#
# Emdros Win32 Makefile for SWIG\java directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) .lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\..\win32\config.mak

!IF "$(CFG)"=="PGSQL"
SWIG_JAVA_BACKEND=PgEMdFDB.java 
SWIG_FLAGS=-DPOSTGRESQL
!ELSE
SWIG_JAVA_BACKEND=MySQLEMdFDB.java
SWIG_FLAGS=-DMYSQL
!ENDIF

# Include the SWIG_GENERATED_JAVAFILES macro
!INCLUDE Makefile.inc

SWIG_CLASSFILES = $(SWIG_GENERATED_JAVAFILES:.java=.class)

CLEANFILES = *~ libjemdros_wrap.cxx \
	     TestEmdros.class TestEmdros$$EMdFObject.class \
             TestEmdros$$Phrase.class TestEmdros$$Word.class \
             $(SWIG_GENERATED_JAVAFILES) $(SWIG_CLASSFILES)

JAVA_INCLUDES=/I "$(SWIG_JDK_DIR)\include" /I "$(SWIG_JDK_DIR)\include\win32"

JAVAC="$(SWIG_JDK_DIR)\bin\javac.exe"
JAR="$(SWIG_JDK_DIR)\bin\jar.exe"

#
# Programs 
#
# The Unix tools can be gotten from the CygWin distribution (www.cygwin.com)
# Remember to set the PATH so that it points to the CygWin bin directory
# (e.g., PATH=C:\cygwin\bin;%PATH%)
#
CPP=cl.exe
RSC=rc.exe

OUTDIR=..\..\win32\Release
INTDIR=..\..\win32\Release

ALL : "$(OUTDIR)\jemdros.dll" "$(OUTDIR)\jemdros.jar"

CLEAN :
	-erase "$(OUTDIR)\jemdros.dll"
	-erase "$(OUTDIR)\jemdros.jar"
	-erase "$(OUTDIR)\libjemdros_wrap.obj"
	-erase $(CLEANFILES)


"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

#CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
# /I "..\.." /I "..\..\include" /D "NDEBUG" /D\
# "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
#  /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I "..\.." /I "..\..\include" $(JAVA_INCLUDES) /D "NDEBUG" /D\
 "WIN32" /D "__WIN32__" /D "_WINDOWS" \
 /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP" 
CPP_OBJS=..\..\win32\Release\
CPP_SBRS=.

# C Library needed to build a DLL

DLLIBC        = oldnames.lib  

# Windows libraries that are apparently needed
WINLIB        = kernel32.lib advapi32.lib user32.lib gdi32.lib \
                comdlg32.lib winspool.lib wsock32.lib 

# C++ libraries that are apparently needed
CPPLIB        = LIBCPMT.LIB  LIBCMT.LIB

# Libraries common to all DLLs
LIBS          = $(DLLIBC) $(WINLIB) $(CPPLIB)

# kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
# advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib \
# odbccp32.lib 	

LIB32=link.exe 
LIB32_FLAGS=/nologo  $(LIBFLAGS) \
 /subsystem:console $(LIBS)\
 /NODEFAULTLIB /RELEASE \
 -entry:_DllMainCRTStartup@12 -dll \
 $(DBLIB) \
 "$(OUTDIR)\libemdf.lib"  \
 "$(OUTDIR)\libpcre_emdros.lib"  "$(OUTDIR)\libmql.lib"  \

LIB_JEMDROS_OBJS= \
	"$(OUTDIR)\libjemdros_wrap.obj" 



"$(OUTDIR)\jemdros.dll" : "$(OUTDIR)" $(DEF_FILE) $(LIB_JEMDROS_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /DLL /out:"$(OUTDIR)\jemdros.dll" $(DEF_FLAGS) $(LIB_JEMDROS_OBJS)
<<


"$(OUTDIR)\libjemdros_wrap.obj" : .\libjemdros_wrap.cxx
   $(CPP) /c $(CPP_PROJ) /Fo"$(OUTDIR)\libjemdros_wrap.obj" .\libjemdros_wrap.cxx

libjemdros_wrap.cxx: libjemdros.i libjemdros.i libemdfjava.i libmqljava.i \
                     libpgemdfjava.i libmysqlemdfjava.i 
      $(SWIG_EXE) $(SWIG_FLAGS) -c++ -java libjemdros.i

"$(OUTDIR)\jemdros.jar":  libjemdros_wrap.cxx
      $(JAVAC) $(SWIG_GENERATED_JAVAFILES)
      $(JAR) cf "$(OUTDIR)\jemdros.jar" $(SWIG_CLASSFILES) $(SWIG_GENERATED_JAVAFILES)


#
# Rules
#

.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
