#
# Emdros Win32 Makefile for SWIG\python directory
#
# Makefile for Microsoft Visual C++ 5.0 (or compat)

# Will build a Win32 static library (non-debug) .lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!INCLUDE ..\..\win32\config.mak

!IF "$(CFG)"=="PGSQL"
SWIG_FLAGS=-DPOSTGRESQL
!ELSE
SWIG_FLAGS=-DMYSQL
!ENDIF


#
# Programs 
#
# The Unix tools can be gotten from the CygWin distribution (www.cygwin.com)
# Remember to set the PATH so that it points to the CygWin bin directory
# (e.g., PATH=C:\cygwin\bin;%PATH%)
#
CPP=cl.exe
RSC=rc.exe

OUTDIR=..\..\win32\Release
INTDIR=..\..\win32\Release

ALL : "$(OUTDIR)\_EmdrosPy.dll" "$(OUTDIR)\EmdrosPy.py"

CLEANFILES = *~ config.log pyemdros_wrap.cxx \
             EmdrosPy.py EmdrosPy.pyc EmdrosPy.pyo 

CLEAN :
	-@erase "$(OUTDIR)\_EmdrosPy.dll"
	-@erase "$(OUTDIR)\pyemdros_wrap.obj"
	-@erase "$(OUTDIR)\EmdrosPy.py"
	-@erase "$(OUTDIR)\EmdrosPy.pyc"
	-@erase "$(OUTDIR)\EmdrosPy.pyo"
	-@erase $(CLEANFILES)


"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

#CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
# /I "..\.." /I "..\..\include" /D "NDEBUG" /D\
# "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\emdros.pch" /YX\
#  /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_PROJ=$(CPPFLAGS_EXTRA) /W3 /GX /O2 \
 /I "..\.." /I "..\..\include" /I "$(PYTHON_INCLUDE)" /D "NDEBUG" /D\
 "WIN32" /D "__WIN32__" /D "_WINDOWS" \
 /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"
CPP_OBJS=..\..\win32\Release\
CPP_SBRS=.
	
LIB32=link.exe 
LIB32_FLAGS=/nologo  $(LIBFLAGS) \
 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib \
 wsock32.lib odbccp32.lib /subsystem:console \
 $(DBLIB) \
 "$(OUTDIR)\libemdf.lib"  \
 "$(OUTDIR)\libpcre_emdros.lib"  "$(OUTDIR)\libmql.lib"  \
 "$(PYTHON_LIB)"

LIB_EMDROSPY_OBJS= \
	"$(OUTDIR)\pyemdros_wrap.obj" 



"$(OUTDIR)\_EmdrosPy.dll" : "$(OUTDIR)" $(DEF_FILE) $(LIB_EMDROSPY_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) /DLL /out:"$(OUTDIR)\_EmdrosPy.dll" $(DEF_FLAGS) $(LIB_EMDROSPY_OBJS)
<<


"$(OUTDIR)\pyemdros_wrap.obj" : .\pyemdros_wrap.cxx
   $(CPP) /c $(CPP_PROJ) /Fo"$(OUTDIR)\pyemdros_wrap.obj" .\pyemdros_wrap.cxx

pyemdros_wrap.cxx: pyemdros.i libemdfpython.i libmqlpython.i \
                   libpgemdfpython.i libmysqlemdfpython.i 
      $(SWIG_EXE) $(SWIG_FLAGS) -c++ -python pyemdros.i


.\EmdrosPy.py : .\pyemdros_wrap.cxx

"$(OUTDIR)\EmdrosPy.py" : .\EmdrosPy.py
	-copy .\EmdrosPy.py "$(OUTDIR)\EmdrosPy.py"

#
# Rules
#

.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.cpp{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<
