/*
 * emdf_wstring.h
 *
 * Definitions for std::wstring if missing
 *
 * Ulrik Petersen
 * Created: 3/8-2002 (March 8, 2002)
 * Last update: 11/9-2002
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2002  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/




#ifndef EMDF_WSTRING__H__
#define EMDF_WSTRING__H__

#include <emdros-lconfig.h>
#include <string>

#if !HAVE_WSTRING

namespace std {
  typedef basic_string<wchar_t> wstring;
}

#endif


#if !HAVE_OSTREAM_OUT_WSTRING

namespace std {
extern  std::ostream& operator<<(std::ostream& ostr, std::wstring& ws);
}

#endif


#endif /* EMDF_WSTRING__H__ */
