/*
 * mql_execute.h
 *
 * Functions for executing MQL queries
 *
 * Ulrik Petersen
 * Created: 3/28-2001
 * Last update: 3/16-2004
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2004  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/




#ifndef MQL_EXECUTE__H__
#define MQL_EXECUTE__H__

#include <emdros-lconfig.h>

#if HAVE_ISTREAM
#include <istream>
#else
#include <istream.h>
#endif

#include <string>
#include <mql_execution_environment.h>

extern bool mql_execute_file(CMQL_execution_environment *pEE, std::string filename, bool& bResult, bool bPrintResult, bool bReportError);
extern bool mql_execute_stream(CMQL_execution_environment *pEE, std::istream& strin, bool& bResult, bool bPrintResult, bool bReportError);
extern bool mql_execute_string(CMQL_execution_environment *pEE, const std::string& input, bool& bResult, bool bPrintResult, bool bReportError);



#endif /* MQL_EXECUTE__H__ */
