/*
 * mql_mo_nr.h
 *
 * MQL mo_nr
 *
 * Ulrik Petersen
 * Created: 3/16-2001
 * Last update: 1/18-2003
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2003  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/




#ifndef MQL_MO_NR__H__
#define MQL_MO_NR__H__

#include <list>
#include <emdf.h>

class CMatched_object; // forward declaration

class CMo_nr {
private:
  CMatched_object* m_pMo;
  bool m_nr;
public:
  CMo_nr(CMatched_object* pMo, bool nr);
  CMo_nr(const CMo_nr& other);
  ~CMo_nr();
  CMatched_object* get_copy_of_mo() const;
  const CMatched_object& get_const_reference() const;
  bool get_nr() const;
  CMo_nr& operator=(const CMo_nr& other);
  bool is_NIL_mo(void) const;
  bool is_EMPTY_mo(void) const;
  monad_m get_last(void);
  bool operator==(const CMo_nr& other) const;
  bool operator<(const CMo_nr& other) const;
private:
  void copy_other(const CMo_nr& other);
};

typedef std::list<CMo_nr> mo_nr_list;

class CList_of_mo_nr {
private:
   mo_nr_list m_list;
public:
  typedef mo_nr_list::const_iterator const_iterator;
  CList_of_mo_nr();
  ~CList_of_mo_nr();
  void append(const CMo_nr& mo_nr);
  CList_of_mo_nr::const_iterator begin() const;
  CList_of_mo_nr::const_iterator end() const;
  bool has_NIL_mo(void) const;
  bool has_EMPTY_mo(void) const;
};



#endif /* MQL_MO_NR__H__ */
