/*
 * pgemdfdb.h
 *
 * PostgreSQL EMdF database base class
 *
 * Ulrik Petersen
 * Created: 1/27-2001
 * Last update: 5/19-2004
 *
 */
/************************************************************************
 *
 *   Emdros - the database engine for analyzed or annotated text
 *   Copyright (C) 2001-2004  Ulrik Petersen
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, license version 2.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Other licensing forms
 *   =====================
 *
 *   If you wish to negotiate commercial licensing, please contact
 *   Ulrik Petersen at ulrikp[at]users.sourceforge.net.
 *
 *   Licensing can also be negotiated if your organization is an
 *   educational, non-profit, charity, missionary or similar
 *   organization.
 *
 **************************************************************************/



#ifndef PGEMDFDB__H__
#define PGEMDFDB__H__

#ifndef SWIG
#include <emdf.h>
#include <emdfdb.h>
#include <list>
#endif // !defined SWIG
#include <string>



class PgEMdFDB : public EMdFDB {
private:
  std::string m_host;
  std::string m_user;
  std::string m_passwd;
public:
  PgEMdFDB(std::string host, std::string user, std::string passwd, std::string database_name);
  virtual ~PgEMdFDB();
#ifndef SWIG
  virtual bool UseDatabase(const std::string& db_name);
  virtual bool SetNextObjectID_DIfNotHigher(id_d_t next_id_d);

private:
  // Make the assignment operator and copy constructor private
  // because they are not supported.
  PgEMdFDB(const PgEMdFDB&);
  PgEMdFDB& operator=(const PgEMdFDB&);
#endif // !defined SWIG
};






#endif // PGEMDFDB__H__
