# Emdros makefile for win32 directory

# Makefile for Microsoft Visual C++ 5.0 (or compat)

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!MESSAGE Building Emdros on Win32
!MESSAGE

!INCLUDE .\config.mak

!INCLUDE ..\include\Makefile.inc

ALL: 
   copy config.h.win32 ..\include\emdros-config.h
!IF "$(CFG)"=="PGSQL"
   copy lconfig.h.win32.pgsql ..\include\emdros-lconfig.h
!ELSE
   copy lconfig.h.win32.mysql ..\include\emdros-lconfig.h
   -mkdir ..\win32\mysql
   copy "$(MYSQLTOP)\include\*.*" "..\win32\mysql\"
!ENDIF
   cd ..\include
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\EMdF
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\pcre
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\MQL
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\src
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\tests
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\SWIG
   nmake /f win32.mak $(MAKEMACRO) CFG="$(CFG)"
   cd ..\win32
   echo All Win32 parts have been built!


CLEAN:
   cd ..\include
   nmake /f win32.mak CLEAN
   cd ..\EMdF
   nmake /f win32.mak CLEAN
   cd ..\pcre
   nmake /f win32.mak CLEAN
   cd ..\MQL
   nmake /f win32.mak CLEAN
   cd ..\src
   nmake /f win32.mak CLEAN
   cd ..\tests
   nmake /f win32.mak CLEAN
   cd ..\SWIG
   nmake /f win32.mak CLEAN
   cd ..\win32
   -@erase Release\*.obj
   -@erase Release\*.exe
   -@erase Release\*.lib
   -@erase Release\*.exp
   -@erase Release\*.idb
   -@erase Release\*.pch
   echo All Win32 parts have been cleaned!

DISTCLEAN: CLEAN
   del ..\config.h



DIST_DOC_DOC_FILES=bootstrapping.txt HOW-TO-USE MQL-README.txt \
                   xinetd.mql PostgreSQL-on-Win98.txt \
                   README-doc ChangeLog-doc NEWS-doc \
                   mql.1 mqldump.1 manage_indices.1 upgrade_db.1 \
                   emdftry.1 mqltry.1 \
                   mql.html mqldump.html manage_indices.html upgrade_db.html \
                   emdftry.html mqltry.html \
                   drop-metadata.sql 


DIST_DOC_ROOT_FILES=INSTALL.Win32 INSTALL AUTHORS COPYING \
                    README NEWS ChangeLog 

DIST_DOC_SWIG_PYTHON_FILES= SWIG\python\README-Python \
                            SWIG\python\test.py \
                            SWIG\python\dir.py

DIST_DOC_SWIG_JAVA_FILES  = SWIG\java\README-Java \
                            SWIG\java\TestEmdros.java \
                            SWIG\java\drop_db.mql


DIST_BIN_FILES=  win32\Release\mql.exe \
                 win32\Release\mqldump.exe \
                 win32\Release\manage_indices.exe \
                 win32\Release\upgrade_db.exe \
                 win32\Release\emdftry.exe \
                 win32\Release\mqltry.exe 


DIST_LIB_FILES=  win32\Release\libpcre_emdros.lib \
                 win32\Release\libemdf.lib \
                 win32\Release\libmql.lib 


DIST_EXAMPLE_FILES=   examples\greek\README \
                      examples\greek\queries\*.txt \
                      examples\greek\schema\*.txt \
                      examples\hebrew\README \
                      examples\hebrew\queries\*.txt \
                      examples\hebrew\schema\*.txt \
                      examples\morph_old\README \
                      examples\morph_old\doc\*.txt \
                      examples\morph_old\queries\*.txt \
                      examples\morph_old\schema\*.txt 


DIST_PYTHON_FILES =  win32\Release\_EmdrosPy.dll \
                     win32\Release\EmdrosPy.py 


DIST_JAVA_FILES = win32\Release\jemdros.dll \
                  win32\Release\jemdros.jar 


DIST_LIBPQDLL = $(PGTOP)\src\interfaces\libpq\Release\libpq.dll

DIST_PG_LIB_FILES = .\win32\Release\libpgemdf.lib \
                       $(DIST_LIBPQ_DLL) \
                       $(PGTOP)\src\interfaces\libpq\Release\libpqdll.lib

DIST_PG_BIN_FILES = $(DIST_LIBPQDLL) 

DIST_PG_DOC_FILES = .\win32\COPYRIGHT.libpq.dll.txt


DIST_MY_LIB_FILES = .\win32\Release\libmyemdf.lib 



DIST: ALL
!IF "$(CFG)"=="PGSQL"
   nmake /f win32.mak CFG="$(CFG)" DIST_PGSQL
!ELSE
   nmake /f win32.mak CFG="$(CFG)" DIST_MYSQL
!ENDIF


DIST_MYSQL: 
   nmake /f win32.mak CFG="MYSQL" DIST_DIR="emdros-mysql-$(VERSION)-win32" MAKE_DIST_DIRS
   nmake /f win32.mak CFG="MYSQL" DIST_DIR="emdros-mysql-$(VERSION)-win32" MAKE_DIST_FILES
   nmake /f win32.mak CFG="MYSQL" DIST_DIR="emdros-mysql-$(VERSION)-win32" MAKE_MY_DIST_FILES
   cd ..
   -erase emdros-mysql-$(VERSION)-win32.zip
   buildtools-win32\infozip\zip -r emdros-mysql-$(VERSION)-win32.zip emdros-mysql-$(VERSION)-win32
   cd win32

DIST_PGSQL: 
   nmake /f win32.mak CFG="PGSQL" DIST_DIR="emdros-postgresql-$(VERSION)-win32" MAKE_DIST_DIRS
   nmake /f win32.mak CFG="PGSQL" DIST_DIR="emdros-postgresql-$(VERSION)-win32" MAKE_DIST_FILES
   nmake /f win32.mak CFG="PGSQL" DIST_DIR="emdros-postgresql-$(VERSION)-win32" MAKE_PG_DIST_FILES
   cd ..
   -erase emdros-postgresql-$(VERSION)-win32.zip
   buildtools-win32\infozip\zip -r emdros-postgresql-$(VERSION)-win32.zip emdros-postgresql-$(VERSION)-win32
   cd win32

MAKE_PG_DIST_FILES:
   cd ..
   for %%F in ($(DIST_PG_BIN_FILES)) do copy %F "$(DIST_DIR)\bin"
   for %%F in ($(DIST_PG_LIB_FILES)) do copy %F "$(DIST_DIR)\lib"
   for %%F in ($(DIST_PG_DOC_FILES)) do copy %F "$(DIST_DIR)\doc"
   cd win32

MAKE_MY_DIST_FILES:
   cd ..
   for %%F in ($(DIST_MY_LIB_FILES)) do copy %F "$(DIST_DIR)\lib"
   cd win32

MAKE_DIST_SWIG: MAKE_DIST_SWIG_PYTHON MAKE_DIST_SWIG_JAVA

MAKE_DIST_SWIG_PYTHON:
!IF "$(SWIG_PYTHON)" == "yes"
	cd ..
	-mkdir "$(DIST_DIR)\doc\python"
	for %%F in ($(DIST_DOC_SWIG_PYTHON_FILES)) do copy .\%F "$(DIST_DIR)\doc\python"
	for %%F in ($(DIST_PYTHON_FILES)) do copy .\%F "$(DIST_DIR)\lib"
        cd win32
!ENDIF

MAKE_DIST_SWIG_JAVA:
!IF "$(SWIG_JAVA)" == "yes"
        cd ..
	-mkdir "$(DIST_DIR)\doc\java"
	for %%F in ($(DIST_DOC_SWIG_JAVA_FILES)) do copy .\%F "$(DIST_DIR)\doc\java"
	for %%F in ($(DIST_JAVA_FILES)) do copy .\%F "$(DIST_DIR)\lib"
        cd win32
!ENDIF

MAKE_DIST_DIRS:
	cd ..
	-rmdir /s /q "$(DIST_DIR)"
	-mkdir "$(DIST_DIR)\doc"
	-mkdir "$(DIST_DIR)\bin"
	-mkdir "$(DIST_DIR)\lib"
	-mkdir "$(DIST_DIR)\include"
	-mkdir "$(DIST_DIR)\examples"
	-mkdir "$(DIST_DIR)\examples\greek"
	-mkdir "$(DIST_DIR)\examples\greek\queries"
	-mkdir "$(DIST_DIR)\examples\greek\schema"
	-mkdir "$(DIST_DIR)\examples\hebrew"
	-mkdir "$(DIST_DIR)\examples\hebrew\queries"
	-mkdir "$(DIST_DIR)\examples\hebrew\schema"
	-mkdir "$(DIST_DIR)\examples\morph_old"
	-mkdir "$(DIST_DIR)\examples\morph_old\doc"
	-mkdir "$(DIST_DIR)\examples\morph_old\queries"
	-mkdir "$(DIST_DIR)\examples\morph_old\schema"
	cd win32


MAKE_DIST_FILES: MAKE_DIST_SWIG
	cd ..
	for %%F in ($(PACKAGE_INCLUDE_HEADER_FILES)) do copy include\%F "$(DIST_DIR)\include"
	for %%F in ($(DIST_DOC_DOC_FILES)) do copy doc\%F "$(DIST_DIR)\doc"
	for %%F in ($(DIST_DOC_ROOT_FILES)) do copy .\%F "$(DIST_DIR)\doc"
	for %%F in ($(DIST_BIN_FILES)) do copy .\%F "$(DIST_DIR)\bin"
	for %%F in ($(DIST_LIB_FILES)) do copy .\%F "$(DIST_DIR)\lib"
	for %%F in ($(DIST_EXAMPLE_FILES)) do copy .\%F "$(DIST_DIR)\%F"
	cd win32
